commit: 51858f63c9173dda963157c6fa27c8e665934046
Author: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Tue May 26 21:35:05 2020 +0000
Commit: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Tue May 26 21:35:14 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=51858f63
dev-util/pkgconf: Bump to version 1.7.1
Package-Manager: Portage-2.3.100, Repoman-2.3.22
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>
dev-util/pkgconf/Manifest | 1 +
dev-util/pkgconf/pkgconf-1.7.1.ebuild | 82 +++++++++++++++++++++++++++++++++++
2 files changed, 83 insertions(+)
diff --git a/dev-util/pkgconf/Manifest b/dev-util/pkgconf/Manifest
index dbb333b701b..6c1c18db28c 100644
--- a/dev-util/pkgconf/Manifest
+++ b/dev-util/pkgconf/Manifest
@@ -1,2 +1,3 @@
DIST pkgconf-1.6.3.tar.xz 291216 BLAKE2B
04bf58590e2f0b37bac7b24b3d595ad08680e85647548cbd642495398d95706f9f738af5c6f9b9ad8801567caa20ade85d4c4d74179f08313420683cb1b34263
SHA512
437c5a5c9866e2047e62e0592639930b2420d4afd41d98cef51f3475165418a39e916477860025314828a6ee0a4eefc10fdf26bda66f80c291f324d9674fa5c1
DIST pkgconf-1.7.0.tar.xz 292420 BLAKE2B
2b709596c0ca8b62913a89fd6d3c4267f4f6f8585565dd66243d876a3b49795a522d3fced913d97cdaeb5cbad95b9655f2c23ef8160a03e68109fb4a21df8d90
SHA512
636741c11c35dbe39bbd38760268deefede2c312cb65ac1c20dbb2ce2c4eca884481e5888f5f6987c084f753684ff8d008713f7638952ea1d67a58ecce2fa05d
+DIST pkgconf-1.7.1.tar.xz 292908 BLAKE2B
004ad290ae97dd8383a24a3c390341e1c054825136b241234396248cedf5edc221d77b68fd3e502aab123a7f18daca62374d1cc7c0311650cec4f87d237c33c8
SHA512
d5d264f48f537ba60efc47baa5aa3a375aecdaebf87f268846c69f7e807e29081f5e25334e21c014adb33e9de77d6e1b8a65124f718617f5825082579af801df
diff --git a/dev-util/pkgconf/pkgconf-1.7.1.ebuild
b/dev-util/pkgconf/pkgconf-1.7.1.ebuild
new file mode 100644
index 00000000000..c5741a92475
--- /dev/null
+++ b/dev-util/pkgconf/pkgconf-1.7.1.ebuild
@@ -0,0 +1,82 @@
+# Copyright 2012-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit multilib-minimal
+
+if [[ ${PV} == "9999" ]] ; then
+ inherit autotools git-r3
+ EGIT_REPO_URI="https://git.sr.ht/~kaniini/pkgconf"
+else
+ SRC_URI="http://distfiles.dereferenced.org/${PN}/${P}.tar.xz"
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64
~riscv ~s390 ~sparc ~x86"
+fi
+
+DESCRIPTION="pkg-config compatible replacement with no dependencies other than
ANSI C89"
+HOMEPAGE="https://git.sr.ht/~kaniini/pkgconf"
+
+LICENSE="ISC"
+SLOT="0/3"
+IUSE="+pkg-config test"
+
+# tests require 'kyua'
+RESTRICT="!test? ( test )"
+
+BDEPEND="
+ test? (
+ dev-libs/atf
+ dev-util/kyua
+ )
+"
+RDEPEND="
+ pkg-config? (
+ !dev-util/pkgconfig
+ !dev-util/pkg-config-lite
+ !dev-util/pkgconfig-openbsd[pkg-config]
+ )
+"
+
+MULTILIB_CHOST_TOOLS=(
+ /usr/bin/pkgconf
+)
+
+src_prepare() {
+ default
+
+ [[ ${PV} == "9999" ]] && eautoreconf
+ if use pkg-config; then
+ MULTILIB_CHOST_TOOLS+=(
+ /usr/bin/pkg-config
+ )
+ fi
+}
+
+multilib_src_configure() {
+ local ECONF_SOURCE="${S}"
+ econf --disable-static
+}
+
+multilib_src_test() {
+ unset PKG_CONFIG_LIBDIR PKG_CONFIG_PATH
+ default
+}
+
+multilib_src_install() {
+ default
+
+ if use pkg-config; then
+ dosym pkgconf /usr/bin/pkg-config
+ dosym pkgconf.1 /usr/share/man/man1/pkg-config.1
+ else
+ rm "${ED}"/usr/share/aclocal/pkg.m4 || die
+ rmdir "${ED}"/usr/share/aclocal || die
+ rm "${ED}"/usr/share/man/man7/pkg.m4.7 || die
+ rmdir "${ED}"/usr/share/man/man7 || die
+ fi
+}
+
+multilib_src_install_all() {
+ einstalldocs
+ find "${ED}" -type f -name '*.la' -delete || die
+}